# Generated by Django 3.0.2 on 2020-02-11 15:45

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Tweet',
            fields=[
                ('created_at', models.CharField(max_length=200)),
                ('timestamp', models.CharField(max_length=200)),
                ('id', models.CharField(max_length=200, primary_key=True, serialize=False)),
                ('text', models.CharField(max_length=400)),
                ('source', models.CharField(max_length=200)),
                ('user_id', models.CharField(max_length=200)),
                ('user_screen_name', models.CharField(max_length=200)),
                ('point_coordinates_long', models.FloatField(null=True)),
                ('point_coordinates_lan', models.FloatField(null=True)),
                ('place', models.CharField(max_length=200)),
                ('rectangle_coordinates_long_min', models.FloatField()),
                ('rectangle_coordinates_long_max', models.FloatField()),
                ('rectangle_coordinates_lan_min', models.FloatField()),
                ('rectangle_coordinates_lan_max', models.FloatField()),
                ('hashtags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=400), blank=True, size=None)),
            ],
        ),
    ]
